VERSION 5.00
Begin VB.Form frmSampleForm1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "frmSampleForm.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3195
   ScaleWidth      =   4680
End
Attribute VB_Name = "frmSampleForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Activate()
    'Simple, yet elegant as hell
    'NOTE: I included the optional parameter KEY so you can set something different than the tag
    'of the form as the key.  However, the KEY is then REQUIRED on the remove event because if you
    'set the KEY as something different than the tag, and leave it off the remove event, the TAG of
    'the form is assumed (using the IsMissing function) and therefore you will generate an error.
    'In other words, if you use say the form name, be CONSISTENT!
    mdiMain.MDITaskBar1.SetActiveFormOnTaskBar Me
End Sub

Private Sub Form_Load()
    'Simple, yet elegant as hell
    mdiMain.FormsCreated = mdiMain.FormsCreated + 1
    Me.Caption = "Form Number: " & mdiMain.FormsCreated 'Give it a unique caption...
    Me.Tag = Me.Caption 'Give it a unique tag...
    mdiMain.MDITaskBar1.AddFormToTaskBar Me
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    'See the beauty of it all?  Once this form unloads, it is deleted from
    'the collection as it never existed!
    mdiMain.FormsCollection.Remove Me.Tag 'The tag is the key!
    'This removes the form from the taskbar - as the name implies
    mdiMain.MDITaskBar1.RemoveFormFromTaskBar Me, Me.Tag 'As stated above, form tags are the default
                                                         'keys in the control, so Me.Tag is not
                                                         'necessary
End Sub
